package services

import (
	"context"
	"dy-test/dyrpc/services/prod"
	"fmt"
	"time"
)

type OrderService struct {
	prod.UnimplementedOrderServiceServer
}

func (o *OrderService) NewOrder(ctx context.Context, main *prod.ProdMain) (*prod.OrderResponse, error) {
	fmt.Println(main.OrderTime.AsTime().Local().Format(time.DateTime))
	return &prod.OrderResponse{
		Status:  "123",
		Message: "456",
	}, nil
}

func (o *OrderService) mustEmbedUnimplementedOrderServiceServer() {
	//TODO implement me
	panic("implement me")
}
